Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockSeamListener

    java.lang.Object
      org.jboss.seam.mock.MockSeamListener

All Implemented Interfaces:
  EventListener, javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextListener

    public class MockSeamListener

extends Object
implements javax.servlet.ServletContextListener, javax.servlet.http.HttpSessionListener

Used to retrieve real ServletContext for the AbstractSeamTest startSeam.

Author:
  Marek Schmidt

Constructor Summary
`MockSeamListener()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent event)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent event)`
`static javax.servlet.ServletContext` | `getServletContext()`
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent event)`
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockSeamListener

    public MockSeamListener()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### getServletContext

    public static javax.servlet.ServletContext getServletContext()

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent event)

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent event)

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.